;*************************************************************************
;									 *
;*				ATmega168 Bootloader			 *
;*                                                                       *
;*                      Author: Peter Dannegger                          *
;*									 *
;*************************************************************************
.nolist
.include "m168def.inc"

.equ	SPMEN	= 0		; Store Program Memory Enable

#define USE_JMP                 ; above 8kB

#define BootStart1      SecondBootStart

;Attention: BufferSize must fit perfectly into BootStart !
;e.g. BufferSize * 31 = BootStart

#define BufferSize      (4*PageSize)

;-------------------------------------------------------------------------
;                               Port definitions
;-------------------------------------------------------------------------
.equ    STX_PORT        = PORTB
.equ    STX_DDR         = DDRB
.equ    STX             = PB1

.equ    SRX_PIN         = PINB
.equ    SRX_DDR         = DDRB
.equ    SRX_PORT        = PORTB
.equ    SRX             = PB0
;-------------------------------------------------------------------------
.list
.include "tinyload.inc"
;-------------------------------------------------------------------------
