;*************************************************************************
;									 *
;*				ATmega32 Bootloader			 *
;*                                                                       *
;*                      Author: Peter Dannegger                          *
;*									 *
;*************************************************************************
.nolist
.include "m32def.inc"

.equ    SPMCSR   = 0x37

#define USE_JMP                 ; above 8kB

#define BootStart1      FirstBootStart

;Attention: BufferSize must fit perfectly into BootStart !
;e.g. BufferSize * 18 = BootStart

#define BufferSize      (14*PageSize)

;-------------------------------------------------------------------------
;                               Port definitions
;-------------------------------------------------------------------------
.equ    STX_PORT        = PORTB
.equ    STX_DDR         = DDRB
.equ    STX             = PB1

.equ    SRX_PIN         = PINB
.equ    SRX_DDR         = DDRB
.equ    SRX_PORT        = PORTB
.equ    SRX             = PB0
;-------------------------------------------------------------------------
.list
.include "tinyload.inc"
;-------------------------------------------------------------------------
