;*************************************************************************
;									 *
;*				ATmega8 Bootloader			 *
;*                                                                       *
;*                      Author: Peter Dannegger                          *
;*									 *
;*************************************************************************
.nolist
.include "m8def.inc"

.equ    SPMCSR   = 0x37

#define	BootStart1	SecondBootStart

;Attention: BufferSize must fit perfectly into BootStart !
;e.g. BufferSize * 8 = BootStart

#define	BufferSize	(15*PageSize)

;-------------------------------------------------------------------------
;                               Port definitions
;-------------------------------------------------------------------------
.equ    STX_PORT        = PORTB
.equ    STX_DDR         = DDRB
.equ    STX             = PB1

.equ    SRX_PIN         = PINB
.equ    SRX_DDR         = DDRB
.equ    SRX_PORT        = PORTB
.equ    SRX             = PB0
;-------------------------------------------------------------------------
.list
.include "tinyload.inc"
;-------------------------------------------------------------------------
